<?xml version="1.0" encoding="UTF-8" ?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:context="http://www.springframework.org/schema/context" xmlns:mvc="http://www.springframework.org/schema/mvc" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="
		http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.3.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.3.xsd
		http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc-4.3.xsd">

	<mvc:resources mapping="/resources/**" location="/resources/" />
	<mvc:resources mapping="/favicon.ico" location="/favicon.ico" />
	<mvc:resources mapping="/index.html" location="/index.html" />

	<bean id="systemViewResolver" class="org.springframework.web.servlet.view.XmlViewResolver">
		<property name="order" value="0" />
		<property name="location" value="/WEB-INF/views-system.xml" />
	</bean>

	<bean id="excelViewResolver" class="org.springframework.web.servlet.view.XmlViewResolver">
		<property name="order" value="1" />
		<property name="location" value="/WEB-INF/views-excel.xml" />
	</bean>

	<bean id="handlerMapping" class="org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping">
		<property name="useSuffixPatternMatch" value="false" />
	</bean>

	<context:component-scan base-package="com.ffii.tbms.**.web" resource-pattern="**/*Controller.class" />
</beans>